> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Hours Bag Rule History



## OpenAPI

````yaml GET /schedule/v1/hours-bag-rule-history
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/hours-bag-rule-history:
    get:
      tags:
        - Hours Bag Rule History
      summary: List Hours Bag Rule History
      operationId: ListHoursBagRuleHistory
      parameters:
        - in: query
          name: from
          description: Filter date by start date
          schema:
            type: string
            format: date
        - in: query
          name: to
          description: Filter date by end date
          schema:
            type: string
            format: date
        - in: query
          name: hoursBagRuleIds
          description: Find HoursBagRuleHistory by hoursBagRule Ids
          schema:
            type: array
            items:
              type: string
              format: uuid
          explode: false
        - in: query
          name: employeeIds
          description: Find HoursBagRuleHistory by employee Ids
          schema:
            type: array
            items:
              type: string
              format: uuid
          explode: false
        - in: query
          name: limit
          description: Limit HoursBagRuleHistory
          schema:
            type: integer
        - in: query
          name: page
          description: Request a specific page
          schema:
            type: integer
      responses:
        '200':
          description: Array of objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        date:
                          type: string
                          format: date
                          description: Date of HoursBagRuleHistory
                        seconds:
                          type: integer
                          example: 1800
                        hoursBagRule:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            variation:
                              type: number
                              format: double
                              description: Variation of the rule
                              example: 1.5
                            variationName:
                              type: string
                              description: Variation's name of the rule, can be null
                              example: Extra hour
                            variationId:
                              type: string
                              format: uuid
                              description: Variation's id of the rule, can be null
                        employee:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                              description: Full Name of the employee
                        checkSeconds:
                          type: integer
                          example: 3600
                        checkSecondsWithVariation:
                          type: integer
                          example: 5400
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````